org.restlet.resource

## Annotation Type Delete

    @Documented
    @Retention(value=RUNTIME)
    @Target(value=METHOD)
    public @interface Delete

Annotation for methods that remove representations. Its semantics is equivalent to an HTTP DELETE method.
Example:

     @Delete()
     public void removeAll();

     @Delete("xml|json")
     public Representation delete();

Author:
  Jerome Louvel

### Optional Element Summary

Optional Elements
`java.lang.String` `value` Specifies the media type extension of the response entity.

### Element Detail

#### value

    public abstract java.lang.String value

Specifies the media type extension of the response entity. If several media types are supported, their extension can be specified separated by "|" characters. Note that this isn't the full MIME type value, just the extension name declared in `MetadataService`. For a list of all predefined extensions, please check `MetadataService.addCommonExtensions()`. New extension can be registered using `MetadataService.addExtension(String, org.restlet.data.Metadata)` method.

Returns:
  The result media types.

Default:
  ""